# standard imports
import os
import json

# local imports
from .base import *


class Meta(Data):

    def __init__(self, path='.'):
        super(Meta, self).__init__()
        self.name = None
        self.phone = None
        self.path = path
        self.meta_path = os.path.join(self.path, 'meta.json')


    def load(self):
        super(Meta, self).load()

        f = open(self.proof_path, 'w')
        o = json.read(f)
        f.close()

        self.description = o['description']
        self.version = o['version']
        self.namespace = o['namespace']

        self.inited = True


    def start(self):
        super(Meta, self).start()

        meta_template_file_path = os.path.join(data_dir, 'meta_template_v{}.json'.format(self.version()))
        
        f = open(meta_template_file_path)
        o = json.load(f)
        f.close() 
       
        f = open(self.meta_path, 'w')
        json.dump(o, f)
        f.close()
